
package odbdatebugtestcase;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

public class OdbDateBugTestCase {

    public static void main(String[] args) {
        
        DataManager dataManager = new DataManager("$objectdb/db/persons.odb");
        dataManager.initDatabase();
        
        Calendar calendar = Calendar.getInstance(TimeZone.getTimeZone("GMT+03:00"));
        List<Date> dates = new ArrayList<Date>();
        calendar.set(1980, 2, 1);
        dates.add(calendar.getTime());
        calendar.set(1981, 2, 31);
        dates.add(calendar.getTime());
        calendar.set(1981, 3, 1);
        dates.add(calendar.getTime());
        
        for (Date newBirthday : dates) {
            dataManager.updatePersonsBirthday(newBirthday);
        }
        
        dataManager.close();
    }
    
}
